<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Table (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Table (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/Table.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwpf/usermodel/ShadingDescriptor80.html"
               title="class in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hwpf/usermodel/TableAutoformatLookSpecifier.html"
               title="class in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwpf/usermodel/Table.html" target="_top">Frames</a></li>
        <li><a href="Table.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.hwpf.usermodel.Range">Field</a>&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hwpf.usermodel</div>
    <h2 title="Class Table" class="title">Class Table</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                       title="class in org.apache.poi.hwpf.usermodel">org.apache.poi.hwpf.usermodel.Range</a></li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.hwpf.usermodel.Table</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">Table</span>
extends <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
           title="class in org.apache.poi.hwpf.usermodel">Range</a></pre>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.hwpf.usermodel.Range">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from class&nbsp;org.apache.poi.hwpf.usermodel.<a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                        title="class in org.apache.poi.hwpf.usermodel">Range</a></h3>
                                <code><a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#Z:Z_characters">_characters</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#Z:Z_charEnd">_charEnd</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#Z:Z_charRangeFound">_charRangeFound</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#Z:Z_charStart">_charStart</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#Z:Z_doc">_doc</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#Z:Z_end">_end</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#Z:Z_paragraphs">_paragraphs</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#Z:Z_parEnd">_parEnd</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#Z:Z_parRangeFound">_parRangeFound</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#Z:Z_parStart">_parStart</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#Z:Z_sectionEnd">_sectionEnd</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#Z:Z_sections">_sections</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#Z:Z_sectionStart">_sectionStart</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#Z:Z_start">_start</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#Z:Z_text">_text</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#TYPE_CHARACTER">TYPE_CHARACTER</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#TYPE_LISTENTRY">TYPE_LISTENTRY</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#TYPE_PARAGRAPH">TYPE_PARAGRAPH</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#TYPE_SECTION">TYPE_SECTION</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#TYPE_TABLE">TYPE_TABLE</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#TYPE_TEXT">TYPE_TEXT</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#TYPE_UNDEFINED">TYPE_UNDEFINED</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/TableRow.html"
                                        title="class in org.apache.poi.hwpf.usermodel">TableRow</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Table.html#getRow-int-">getRow</a></span>(int&nbsp;index)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Table.html#getTableLevel--">getTableLevel</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Table.html#numRows--">numRows</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Table.html#reset--">reset</a></span>()</code>
                                    <div class="block">resets the list indexes.</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Table.html#type--">type</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hwpf.usermodel.Range">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hwpf.usermodel.<a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                        title="class in org.apache.poi.hwpf.usermodel">Range</a></h3>
                                <code><a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#adjustFIB-int-">adjustFIB</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#delete--">delete</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#getCharacterRun-int-">getCharacterRun</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#getDocument--">getDocument</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#getEndOffset--">getEndOffset</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#getParagraph-int-">getParagraph</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#getSection-int-">getSection</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#getStartOffset--">getStartOffset</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#getTable-org.apache.poi.hwpf.usermodel.Paragraph-">getTable</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#initAll--">initAll</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#insertAfter-java.lang.String-">insertAfter</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#insertBefore-java.lang.String-">insertBefore</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#insertTableBefore-short-int-">insertTableBefore</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#numCharacterRuns--">numCharacterRuns</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#numParagraphs--">numParagraphs</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#numSections--">numSections</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#replaceText-java.lang.String-boolean-">replaceText</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#replaceText-java.lang.String-java.lang.String-">replaceText</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#replaceText-java.lang.String-java.lang.String-int-">replaceText</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#sanityCheck--">sanityCheck</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#stripFields-java.lang.String-">stripFields</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#text--">text</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#toString--">toString</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait,
                                    wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getRow-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRow</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hwpf/usermodel/TableRow.html"
                                                    title="class in org.apache.poi.hwpf.usermodel">TableRow</a>&nbsp;getRow(int&nbsp;index)</pre>
                            </li>
                        </ul>
                        <a name="getTableLevel--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTableLevel</h4>
                                <pre>public&nbsp;int&nbsp;getTableLevel()</pre>
                            </li>
                        </ul>
                        <a name="numRows--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>numRows</h4>
                                <pre>public&nbsp;int&nbsp;numRows()</pre>
                            </li>
                        </ul>
                        <a name="reset--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>reset</h4>
                                <pre>protected&nbsp;void&nbsp;reset()</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#reset--">Range</a></code></span>
                                </div>
                                <div class="block">resets the list indexes.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#reset--">reset</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                                title="class in org.apache.poi.hwpf.usermodel">Range</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="type--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>type</h4>
                                <pre>public&nbsp;int&nbsp;type()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/Table.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwpf/usermodel/ShadingDescriptor80.html"
               title="class in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hwpf/usermodel/TableAutoformatLookSpecifier.html"
               title="class in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwpf/usermodel/Table.html" target="_top">Frames</a></li>
        <li><a href="Table.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.hwpf.usermodel.Range">Field</a>&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
